package com.zxhl.main.page.contract

import com.zxhl.cms.net.model.uc.UserInfo
import okhttp3.MultipartBody


class EditUserInfoContract {
    interface View {
        fun setData(result: UserInfo?)
        fun updateSuc()
        fun updateFail()
        fun uploadSuc(result: String)
        fun uploadFail()
        fun updatePicSuc()
        fun updatePicFail()
    }

    interface Presenter {
        fun getUserInfo()
        fun updateUserInfo(
            birthday: String,
            description: String,
            headImage: MultipartBody.Part?,
            height: String,
            income: String,
            nickname: String,
            occupation: String,
            province: String,
            weight: String,

            )

        fun updateUserInfoNoHeadImg(
            birthday: String,
            description: String,
            height: String,
            income: String,
            nickname: String,
            occupation: String,
            province: String,
            weight: String,
        )

        fun upload(file: MultipartBody.Part?)
        fun pictures(list: String?)
        fun updateUserHeadImg(headImage: MultipartBody.Part?)
        fun updateUserNickName(nickname: String)
        fun updateUserSex(sex: String)
        fun updateUserAge(age: String)
        fun updateIntroduction(indroduction: String)
    }
}